#!/usr/bin/python

from django.core.management.base import LabelCommand
from django.conf import settings

import sys
import os

def write_version_strings(version):
    try:
        from bzrlib.branch import Branch
        branch = Branch.open_containing('.')[0]
        bzr_revno = '%s' % branch.revno()
    except:
        bzr_revno = 'unknown'

    file_name = os.path.join(settings.PROJECT_PATH, "version")
    if os.path.exists(file_name):
        os.remove(file_name)
    f = open(file_name, "w")
    f.write("""version: %s
revno: %s
""" % (version, bzr_revno))
    f.close()

class Command(LabelCommand):
    help = "Prepare release of LoCo Directory. Please pass <version> as an argument."

    def handle_label(self, label, **options):
        write_version_strings(label)
        print >> sys.stdout, "Released %s." % label
