from django.conf.urls.defaults import *
from django.conf import settings
from django.contrib import admin

admin.autodiscover()

urlpatterns = patterns('',
    url(r'^$', 'common.views.index', name='home'),
    url(r'^about/$', 'common.views.about', name='about'),
    url(r'^openid/', include('django_openid_auth.urls')),
    url(r'^admin/(.*)', admin.site.root),
    url(r'^data/xml', 'teams.views.xml_team_data', name='xml_team_data'),
    url(r'^teams/', include('teams.urls')),
    url(r'^events/', include('events.urls')),
    url(r'^venues/', include('venues.urls')),
    url(r'^logout$', 'common.views.site_logout'),
    url(r'^jsi18n', 'django.views.i18n.javascript_catalog', name='jsi18n'),
)

if settings.STATIC_SERVE:
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
        (r'^(robots.txt)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
    )
