# -*- coding: utf-8 -*-

from django import forms
from django.utils.translation import ugettext_lazy as _
from models import Venue



class VenueForm(forms.ModelForm):
    """ 
    a form to create/update a new Venue
    """
    class Meta:
        model = Venue

class VenueSearchForm(forms.Form):
    """
    A Search form for venues
    """
    q = forms.CharField(label=_('Search'), required=False, max_length=100)

    def as_line(self):
        "Returns this form rendered. Only the fields. Nothing else HTML."
        return self._html_output(u'%(label)s %(errors)s%(field)s%(help_text)s', u'%s', '', u'%s', False)

